# Generated by Django 2.1.2 on 2018-10-18 04:05

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Anime',
            fields=[
                ('anime_id', models.IntegerField(primary_key=True, serialize=False)),
                ('title', models.CharField(max_length=255)),
                ('title_english', models.CharField(max_length=255)),
                ('title_synonyms', models.TextField(blank=True, null=True)),
                ('image_url', models.CharField(max_length=200)),
                ('series_type', models.CharField(max_length=255)),
                ('source', models.CharField(max_length=255)),
                ('episodes', models.CharField(max_length=16)),
                ('status', models.CharField(max_length=255)),
                ('airing', models.BooleanField()),
                ('aired_string', models.CharField(max_length=255)),
                ('start_date', models.DateField()),
                ('end_date', models.DateField()),
                ('duration', models.CharField(blank=True, max_length=255, null=True)),
                ('rating', models.CharField(blank=True, max_length=255, null=True)),
                ('score', models.CharField(blank=True, max_length=255, null=True)),
                ('scored_by', models.CharField(max_length=16)),
                ('rank', models.CharField(max_length=16)),
                ('popularity', models.CharField(max_length=16)),
                ('members', models.CharField(max_length=16)),
                ('favorites', models.CharField(max_length=16)),
                ('background', models.TextField(blank=True, null=True)),
                ('premiered', models.CharField(blank=True, max_length=255, null=True)),
                ('broadcast', models.CharField(blank=True, max_length=255, null=True)),
                ('related', models.TextField(blank=True, null=True)),
                ('producer', models.TextField(blank=True, null=True)),
                ('licensor', models.TextField(blank=True, null=True)),
                ('studio', models.CharField(blank=True, max_length=255, null=True)),
                ('genre', models.CharField(blank=True, max_length=255, null=True)),
                ('opening_theme', models.TextField(blank=True, null=True)),
                ('ending_theme', models.TextField(blank=True, null=True)),
            ],
        ),
    ]
